Bug 477876 - [RHEL5.2] 'ifconfig' command shows unnecessary warning message about iface still in ALLMULTI mode.
[RHEL5.2] 'ifconfig' command shows unnecessary warning message about iface st...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-tools (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jiri Popelka
BaseOS QE
:
Depends On:
Blocks: 499522
  Show dependency treegraph
 
Reported: 2008-12-24 12:27 EST by Flavio Leitner
Modified: 2013-04-15 05:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 04:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Leitner 2008-12-24 12:27:22 EST
Although to ethx's status of MULTICAST mode ,
"ifconfig" command shows unnecessary warning message.

Warning: Interface eth0 still in ALLMULTI mode.

How reproducible:
Always

Steps to Reproduce:
# ifconfig  eth0
eth0      Link encap:Ethernet  HWaddr 00:0C:29:91:2F:5F  
         inet addr:10.209.149.247  Bcast:10.209.149.255  Mask:255.255.255.0
         inet6 addr: fe80::20c:29ff:fe91:2f5f/64 Scope:Link
         UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
         RX packets:1527 errors:0 dropped:0 overruns:0 frame:0
         TX packets:542 errors:0 dropped:0 overruns:0 carrier:0
         collisions:0 txqueuelen:1000
         RX bytes:446160 (435.7 KiB)  TX bytes:71160 (69.4 KiB)
         Interrupt:177 Base address:0x1400

# ifconfig  eth0 allmulti
# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:0C:29:91:2F:5F  
         inet addr:10.209.149.247  Bcast:10.209.149.255  Mask:255.255.255.0
         inet6 addr: fe80::20c:29ff:fe91:2f5f/64 Scope:Link
         UP BROADCAST RUNNING ALLMULTI MULTICAST  MTU:1500  Metric:1
         RX packets:1609 errors:0 dropped:0 overruns:0 frame:0
         TX packets:585 errors:0 dropped:0 overruns:0 carrier:0
         collisions:0 txqueuelen:1000
         RX bytes:453195 (442.5 KiB)  TX bytes:76558 (74.7 KiB)
         Interrupt:177 Base address:0x1400

# ifconfig  eth0 -allmulti
Warning: Interface eth0 still in ALLMULTI mode.  <--------------------
# ifconfig  eth0
eth0      Link encap:Ethernet  HWaddr 00:0C:29:91:2F:5F  
         inet addr:10.209.149.247  Bcast:10.209.149.255  Mask:255.255.255.0
         inet6 addr: fe80::20c:29ff:fe91:2f5f/64 Scope:Link
         UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1   <-------------
         RX packets:1659 errors:0 dropped:0 overruns:0 frame:0
         TX packets:613 errors:0 dropped:0 overruns:0 carrier:0
         collisions:0 txqueuelen:1000
         RX bytes:457424 (446.7 KiB)  TX bytes:80374 (78.4 KiB)
         Interrupt:177 Base address:0x1400

Actual results:
Warning message

Expected results:
No message

Additional info:
Suggested patch:

--- net-tools-1.60/ifconfig.c.org       2008-11-29 10:29:26.000000000 +0900
+++ net-tools-1.60/ifconfig.c   2008-11-29 10:30:02.000000000 +0900
@@ -465,7 +465,7 @@
       }
       if (!strcmp(*spp, "-allmulti")) {
           goterr |= clr_flag(ifr.ifr_name, IFF_ALLMULTI);
-           if (test_flag(ifr.ifr_name, IFF_MULTICAST) > 0)
+           if (test_flag(ifr.ifr_name, IFF_ALLMULTI) > 0)
               fprintf(stderr, _("Warning: Interface %s still in ALLMULTI mode.n"), ifr.
ifr_name);
           spp++;
           continue;
Comment 1 RHEL Product and Program Management 2009-03-26 13:24:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-12-16 04:26:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1677.html

Note You need to log in before you can comment on or make changes to this bug.